%define upstream_name	 Heimdal-Kadm5
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 29
Summary:    Perl extension for administration of Heimdal Kerberos servers
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/L/LE/LEIFJ/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Heimdal-Kadm5-no-redeclare.patch 
BuildRequires:	perl-devel
BuildRequires:	heimdal-devel
BuildRequires:  perl(Time::Seconds)


%description
Heimdal::Kadm5 is a basic XSUB perl glue to the Heimdal
(http://www.pdc.kth.se/src/heimdal) kadm5clnt library. Heimdal is a free,
slightly less export challenged implementation of Kerberos5 by Assar Westerlund
and Johan Danielsson. Heimdal::Kadm5 allows you to perform more administration
of your kdc than you can usually pull off with the included kadmin program.
Heimdal::Kadm5 should be considered alpha-code and may consequently crash and
burn but should not muck up your kdc any more than kadmin itself does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INC="-I%{_includedir}/heimdal"
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc Changes README META.yml
%{perl_vendorarch}/Heimdal
%{perl_vendorarch}/auto/Heimdal
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.80.0-29.mga10
+ Revision: 2225983
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.80.0-28.mga10
+ Revision: 2088061
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.80.0-27.mga10
+ Revision: 2012061
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.80.0-26.mga9
+ Revision: 1861915
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 0.80.0-25.mga9
+ Revision: 1835565
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.80.0-24.mga9
+ Revision: 1726712
- Rebuild for perl 5.34

* Thu Dec 31 2020 luigiwalser <luigiwalser> 0.80.0-23.mga8
+ Revision: 1667243
- rebuild to ensure it can be built

* Wed Jun 17 2020 umeabot <umeabot> 0.80.0-22.mga8
+ Revision: 1594807
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.80.0-21.mga8
+ Revision: 1529488
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.80.0-20.mga8
+ Revision: 1433653
- rebuild for perl 5.30

* Mon Jan 14 2019 zezinho <zezinho> 0.80.0-19.mga7
+ Revision: 1356860
- use system heimdal

* Fri Sep 21 2018 umeabot <umeabot> 0.80.0-18.mga7
+ Revision: 1293192
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.80.0-17.mga7
+ Revision: 1249788
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.80.0-16.mga7
+ Revision: 1164770
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.80.0-15.mga7
+ Revision: 1149755
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.80.0-14.mga7
+ Revision: 1126511
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-13.mga6
+ Revision: 1028207
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.80.0-12.mga6
+ Revision: 962029
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-11.mga6
+ Revision: 843280
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-10.mga5
+ Revision: 740843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-9.mga5
+ Revision: 685037
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-8.mga5
+ Revision: 631288
- Rebuild for perl 5.20

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-7.mga4
+ Revision: 502344
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-3.mga3
+ Revision: 250755
- rebuild for perl 5.16

* Fri Nov 04 2011 nanardon <nanardon> 0.80.0-2.mga2
+ Revision: 162577
- fix buildrequires
+ jquelin <jquelin>
- mageia rebuild
- imported package perl-Heimdal-Kadm5


* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-2mdv2010.1
+ Revision: 528738
- rebuild

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2010.1
+ Revision: 509022
- new version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.06-10mdv2010.0
+ Revision: 430465
- rebuild

* Thu Oct 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-9mdv2009.0
+ Revision: 290794
- fix summary and description (spotted by Buchan)

* Tue Sep 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-8mdv2009.0
+ Revision: 290160
- rebuild to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-5mdv2008.1
+ Revision: 156901
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - add BR on krb5-devel
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2008.0
+ Revision: 81308
- rebuild

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 39960
- new version

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 20499
- Import perl-Heimdal-Kadm5



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
- first mdv release
